WordPress.org

Ready to get started?Download WordPress

Forums

Request: low maximum memory setting warning (2 posts)

  1. donpdonp
    Member
    Posted 6 years ago #

    i just went through a couple hours of anguish because the upgrade process from 2.2.1 to 2.3 silently failed. The upgrade.php screen gives an empty page with the WP logo on it. After adding lots of trace statements to includes/upgrade.php i narrowed the problem down to one select statement, yet there were no errors in the log file.

    the problem was that PHP itself was running out of ram because the memory_limit = 8M
    was too low.

    I propose that wordpress upgrade.php include a check and a warning if the limit is less than 16M. once i went to 16M, the upgrade script worked fine.

  2. luredan
    Member
    Posted 6 years ago #

    I second this. However, the best would be if WordPress could do fine with 8M, as people with cheap webhotels (like me) aren't allowed to set the limit above 8M.

    Btw. WordPress upgraded fine with my 8M limit, but I guess it depends on the ammount of userdata in some way.

Topic Closed

This topic has been closed to new replies.

About this Topic